// Sample App which resolves a hostname to an ip.

using System;
using System.Net;
using System.Reflection;

class DnsQuery {

  public static void DoGetHostEntry(string hostname) {
    IPHostEntry he = Dns.GetHostEntry(hostname);
    foreach (IPAddress ip in he.AddressList) {
      Console.WriteLine("IP address of {0} is {1}", he.HostName, ip);
    }
  }

  public static void Main(string[] args) {
    if (args.Length > 0) {
      DoGetHostEntry(args[0]);
    } else {
      Console.WriteLine("Usage:\t{0} <hostname>\n",
                        Assembly.GetExecutingAssembly().GetName().Name);
    }
  }

}

